.table {
  display: grid;
  /* autoprefixer: off */
  grid-template-columns: repeat(auto-fill, minmax(100%, 100%));
  width: 100%;

  &-footer {
    display: flex;
    justify-content: center;
    align-items: center;

    .count {
      display: block;
      font-size: 0.875rem;
      color: var(--color-main-lightest);
    }

    .buttonMore {
      display: block;
      background-color: var(--bg-main);
      border: none;
      outline: none;
      cursor: pointer;
    }
  }

  .thead,
  .tbody {
    & > .tr {
      border-left: 1px solid var(--border-color-light);
      border-right: 1px solid var(--border-color-light);
    }
  }

  .thead {
    min-height: 2.375rem;
    & > .tr {
      background-color: var(--bg-dark);
      border-top: 1px solid var(--border-color-light);
      border-radius: 0.25rem 0.25rem 0 0;
    }

    &._filters {
      & > .tr {
        background-color: var(--bg-main);
        border-radius: 0;
        .th {
          padding: 0.375rem;
        }
      }
    }
  }

  .tbody {
    & > .tr:last-of-type {
      border-bottom: 1px solid var(--border-color-light);
    }
  }

  .tr {
    display: grid;
    grid-template-columns: auto;
  }

  .th {
    padding: 0.6875rem 1rem;
    min-height: 2.375rem;
    font-weight: var(--font-weight-medium);
    line-height: 1.4;
    &._empty {
      padding: 0;
      min-height: 0;
    }
  }

  .table-button-sorting {
    display: flex;
    align-items: flex-start;
    width: auto;
    padding: 0;
    margin: 0;
    font: inherit;
    color: inherit;
    white-space: nowrap;
    text-align: inherit;
    border: none;
    box-shadow: none;
    background: none;
    outline: none;
    cursor: pointer;

    > span {
      display: block;
      width: max-content;
    }

    .svg {
      display: block;
      flex-shrink: 0;
      margin-left: 0.25rem;
      margin-top: 0.25rem;
    }

    .svg-sorting {
      display: none;
    }

    &.-sorting-up {
      .svg-sorting {
        display: block;
        transform: rotate(180deg);
      }
      .svg-no-sorting {
        display: none;
      }
    }

    &.-sorting-down {
      .svg-sorting {
        display: block;
      }
      .svg-no-sorting {
        display: none;
      }
    }
  }

  .button, .button-item {
    font-size: inherit;
  }

  .buttonOutlineColor,
  .buttonOrder,
  .linkAsButton {
    width: 100%;
    white-space: nowrap;
  }

  @media screen and (min-width: 981px) {
    &-footer {
      .count {
        padding: 1.25rem 0.625rem;
      }

      .buttonMore {
        padding: 1.25rem 0.625rem;
        color: var(--link-color);

        &:hover {
          color: var(--link-hover-color);
        }
        &:active, &:focus {
          color: var(--link-active-color);
        }
      }
    }
    .th, .td {
      display: flex;
      flex-direction: column;
      max-height: 100%;
      font-size: 0.75rem;

      &:first-of-type {
        padding-left: 1.5rem;
      }

      &:last-of-type {
        padding-right: 1.5rem;
      }

      &._align-right {
        align-items: flex-end;
      }
    }

    .td {
      padding: 1rem;
      border-top: 1px solid var(--border-color-light);
    }
  }

  @media (min-width: 981px) and (max-width: 1200px) {
    .th, .td {
      padding-left: 0.5rem;
      padding-right: 0.5rem;
      font-size: 0.875rem;
    }

    .table-button-sorting {
      white-space: normal;
      > span {
        width: min-content;
      }
    }

    .buttonOutlineColor,
    .buttonOrder,
    .linkAsButton {
      font-size: 0.875rem;
    }
  }

  @media screen and (max-width: 980px) {
    &-footer {
      flex-direction: column-reverse;
      padding: 1rem 1.25rem;
      text-align: center;
      background-color: var(--bg-dark);

      .count {
        font-size: 0.75rem;
        color: var(--color-main-lightest);
      }

      .buttonMore {
        margin-bottom: 1rem;
        width: 100%;
        height: var(--btn-mobile-min-height);
        font-size: 1rem;
        border: var(--border-color-main);
        border-radius: 0.25rem;
        box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
      }
    }

    .thead {
      display: none;
    }

    .tbody {
      display: block;
      padding-top: 0.625rem;
      background-color: var(--bg-dark);
      box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.2);

      .tr {
        margin-bottom: 0.625rem;
        padding: 1rem 1.25rem;
        border: none;
        background-color: var(--bg-main);
        box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
      }

      .td {
        display: block;
        font-size: 0.875rem;
      }
    }

    .buttonOutlineColor,
    .buttonOrder,
    .linkAsButton {
      font-size: 1rem;
    }

  }
}
